package jp.co.gihyo.webdb.vol35.tdd.webapp.servlet;

import java.io.FileInputStream;
import java.io.InputStream;

import junit.framework.TestCase;

import org.apache.commons.io.IOUtils;

import com.meterware.httpunit.GetMethodWebRequest;
import com.meterware.httpunit.WebConversation;
import com.meterware.httpunit.WebResponse;

public class FunctionalTestRestLikeServlet extends TestCase {
	String baseUrl;
	protected void setUp() throws Exception {
		baseUrl = "http://localhost:8020/webdb-tdd-webapp-test";
	}

	public void testHttpUnit̊wK() throws Exception {
		String url = baseUrl + "/employee/3";
		GetMethodWebRequest req = new GetMethodWebRequest(url);
		WebConversation wc = new WebConversation();
		WebResponse resp = wc.getResponse(req);

		assertEquals(200, resp.getResponseCode());
		assertEquals("GET: /webdb-tdd-webapp-test/employee/3", resp
				.getHeaderField("Learning"));
	}

	public void testGET\bhIDURIɃANZX() throws Exception {
		String url = baseUrl + "/employee/1";
		GetMethodWebRequest req = new GetMethodWebRequest(url);
		WebConversation wc = new WebConversation();
		WebResponse resp = wc.getResponse(req);

		FileInputStream expectedXml = new FileInputStream(
				"target/test-classes/expectedIdAccess.xml");
		InputStream actualXml = resp.getInputStream();
		assertTrue(IOUtils.contentEquals(expectedXml, actualXml));
	}
}
